#-------------------------------------------------
#
# Project created by QtCreator 2017-01-07T15:25:00
#
#-------------------------------------------------

win32 {
    QCA_PATH = d:/prac/qt/lib/qca
}

QT       += network xmlpatterns

QT       -= gui

CONFIG += c++11

TARGET = EetCpp
TEMPLATE = lib

DEFINES += EETCPP_LIBRARY

release:DESTDIR = $$PWD/../bin/release
debug:DESTDIR = $$PWD/../bin/debug

SOURCES += eetcpp.cpp \
    eetrequest.cpp \
    eettemplate.cpp \
    eetsender.cpp \
    eetsigner.cpp \
    eetresult.cpp

HEADERS += eetcpp.h\
        eetcpp_global.h \
    eetrequest.h \
    eettemplate.h \
    eetsender.h \
    eetsigner.h \
    eetresult.h

unix {
    target.path = /usr/lib
    INSTALLS += target
}

win32 {
    INCLUDEPATH += $$QCA_PATH/include
}

win32:CONFIG(release, debug|release): LIBS += -L$$QCA_PATH -lqca-qt5
else:win32:CONFIG(debug, debug|release): LIBS += -L$$QCA_PATH -lqca-qt5d
else:unix: LIBS += -lqca-qt5

RESOURCES += \
    resource.qrc
